Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
webcam::StorageManager::StorageSettings Struct Reference

Settings. More...

## Public Attributes
StorageType | type
| storage type
int | capacity
| maximum number of stored images; obsolete, no longer used
string | server
| server ip, share and path (empty/ignored for LOCAL storage type)
string | username
| username (empty/ignored for LOCAL storage type)
string | password
| password (empty/ignored for LOCAL storage type)

## Detailed Description

Settings.

Definition at line 61 of file StorageManager.idl.

## Member Data Documentation

## ◆ capacity

int webcam::StorageManager::StorageSettings::capacity

maximum number of stored images; obsolete, no longer used

Definition at line 63 of file StorageManager.idl.

## ◆ password

string webcam::StorageManager::StorageSettings::password

password (empty/ignored for LOCAL storage type)

Definition at line 66 of file StorageManager.idl.

## ◆ server

string webcam::StorageManager::StorageSettings::server

server ip, share and path (empty/ignored for LOCAL storage type)

Definition at line 64 of file StorageManager.idl.

## ◆ type

StorageType webcam::StorageManager::StorageSettings::type

storage type

Definition at line 62 of file StorageManager.idl.

## ◆ username

string webcam::StorageManager::StorageSettings::username

username (empty/ignored for LOCAL storage type)

Definition at line 65 of file StorageManager.idl.

The documentation for this struct was generated from the following file:

- StorageManager.idl